Bug 1009161 - Gem loading error: Could not find excon (~> 0.25.0)
Gem loading error: Could not find excon (~> 0.25.0)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Jason Montleon
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 16:46 EDT by Og Maciel
Modified: 2014-04-24 13:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: ruby193-rubygem-excon-0.25.3-2.el6sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2013-09-17 16:46:04 EDT
Description of problem:

The following error scrolled by as I was synchronizing a RHEL repo (not as soon as the sync process started, but while it was running)

==> /var/log/foreman/cron.log <==
rake aborted!
Gem loading error: Could not find excon (~> 0.25.0) amongst [Ascii85-1.0.2, actionmailer-3.2.8, actionpack-3.2.8, activemodel-3.2.8, activerecord-3.2.8, activeresource-3.2.8, activesupport-3.2.8, acts_as_reportable-1.1.1, ancestry-1.3.0, anemone-0.7.2, apipie-params-0.0.2, apipie-rails-0.0.23, arel-3.0.2, audited-3.0.0, audited-activerecord-3.0.0, bigdecimal-1.1.0, builder-3.0.0, bundler-1.1.4, bundler_ext-0.3.0, chunky_png-1.2.0, coffee-rails-3.2.2, coffee-script-2.2.0, coffee-script-source-1.3.3, color-1.4.1, compass-0.12.2, compass-960-plugin-0.10.4, compass-rails-1.0.3, daemons-1.1.4, deface-0.7.2, delayed_job-3.0.2, delayed_job_active_record-0.3.3, diff-lcs-1.1.3, dynflow-0.1.0, erubis-2.7.0, eventmachine-0.12.10, excon-0.20.1, execjs-1.4.0, fast_gettext-0.5.10, fastercsv-1.5.4, fog-1.15.0, foreigner-1.4.1, foreman-katello-engine-0.0.8, foreman_api-0.1.3, formatador-0.2.1, fssm-0.2.7, gettext-2.3.7, gettext_i18n_rails-0.9.4, gettext_i18n_rails_js-0.0.8, haml-3.1.6, haml-rails-0.3.4, hashr-0.0.22, hike-1.2.1, hooks-0.2.2, hpricot-0.8.6, i18n-0.6.0, i18n_data-0.2.7, io-console-0.3, journey-1.0.4, jquery-rails-2.0.2, jquery-ui-rails-4.0.2, json-1.7.3, justified-0.0.4, katello-foreman-engine-0.0.5, katello_api-0.0.3, ldap_fluff-0.2.2, levenshtein-0.2.2, little-plugger-1.1.3, locale-2.0.8, logging-1.8.1, mail-2.4.4, mime-types-1.19, multi_json-1.3.6, net-http-persistent-2.7, net-ldap-0.3.1, net-scp-1.1.0, net-ssh-2.6.7, nokogiri-1.5.6, oauth-0.4.7, pdf-reader-1.1.1, pdf-writer-1.1.8, pg-0.12.2, po_to_json-0.0.7, polyglot-0.3.3, prawn-1.0.0.rc1, rabl-0.7.6, rack-1.4.1, rack-cache-1.2, rack-openid-1.3.1, rack-ssl-1.3.2, rack-test-0.6.1, rails-3.2.8, rails_warden-0.5.2, railties-3.2.8, rake-0.9.2.2, rdoc-3.12, ref-1.0.0, regin-0.3.8, rest-client-1.6.1, robotex-1.0.0, ruby-hmac-0.4.0, ruby-libvirt-0.4.0, ruby-openid-2.2.3, ruby-rc4-0.1.5, ruby2ruby-2.0.1, ruby_parser-3.1.1, runcible-1.0.5, ruport-1.7.0, safemode-1.2.0, sass-3.1.20, sass-rails-3.2.5, scoped_search-2.5.1, sexp_processor-4.1.3, simple-navigation-3.3.4, sprockets-2.4.5, therubyracer-0.11.0beta8, thin-1.3.1, thor-0.15.4, tilt-1.3.3, tire-0.3.13.pre, transaction-simple-1.4.0.2, treetop-1.4.10, ttfunk-1.0.3, twitter-bootstrap-rails-2.2.6, tzinfo-0.3.33, uglifier-1.2.6, ui_alchemy-rails-1.0.10, uuidtools-2.1.3, warden-1.0.3, will_paginate-3.0.2]

(See full trace by running task with --trace)

Version-Release number of selected component (if applicable):

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.2.1003-1.noarch
* foreman-compute-1.2.1003-1.noarch
* foreman-libvirt-1.2.1003-1.noarch
* foreman-postgresql-1.2.1003-1.noarch
* foreman-proxy-1.2.10003-1.el6sat.noarch
* katello-1.4.6-2.el6sat.noarch
* katello-all-1.4.6-2.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.3-2.el6sat.noarch
* katello-cli-1.4.3-12.el6sat.noarch
* katello-cli-common-1.4.3-12.el6sat.noarch
* katello-common-1.4.6-2.el6sat.noarch
* katello-configure-1.4.5-7.el6sat.noarch
* katello-configure-foreman-1.4.5-7.el6sat.noarch
* katello-configure-foreman-proxy-1.4.5-7.el6sat.noarch
* katello-foreman-all-1.4.6-2.el6sat.noarch
* katello-glue-candlepin-1.4.6-2.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-2.el6sat.noarch
* katello-glue-pulp-1.4.6-2.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.11.alpha.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.11.alpha.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.11.alpha.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.11.alpha.el6sat.noarch
* pulp-selinux-2.3.0-0.11.alpha.el6sat.noarch
* pulp-server-2.3.0-0.11.alpha.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.5-2.el6sat.noarch
* signo-0.0.20-2.el6sat.noarch
* signo-katello-0.0.20-2.el6sat.noarch

How reproducible:


Steps to Reproduce:
1. Not sure how to reproduce it
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Mike McCune 2013-09-17 16:49:11 EDT
Just an FYI, syncing is unrelated to this error, this is most likely a setup/dependency error
Comment 2 Jason Montleon 2013-09-17 16:59:59 EDT
ruby193-rubygem-fog requires rubygem-excon >= 0.25.0 and only 0.20.0 was in the repo. I caught this earlier today testing after I updated foreman and updated excon and the fog spec file once I saw it.
Comment 5 Dominic Cleal 2013-09-18 16:22:43 EDT
For reproducing it, just check the cron.log about an hour after installation.  Normally there's a cronjob installed in /etc/cron.d/foreman that runs every 30 minutes.  Agreed with Mike, this'll have no effect on syncing or anything except various Foreman cleanup operations.
Comment 7 Corey Welton 2013-09-19 15:53:13 EDT
This no longer occurs in SNAP2.  QA verified.
Comment 10 Bryan Kearney 2014-04-24 13:09:47 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 11 Bryan Kearney 2014-04-24 13:11:10 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.